Uploaded image for project: 'Teiid Designer'
  1. Teiid Designer
  2. TEIIDDES-449

Data tools plug-ins have lots of warnings that need to be addressed

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 7.0
    • Fix Version/s: 7.0
    • Component/s: None
    • Labels:
      None

      Description

      I cleaned up some of the warnings, but there are 3 types left that John Doyle needs to address:

      1) The most prevalent warnings are about strings that haven't been externalized in the code, the plugin.xml, and the MANIFEST.MF. All of these need to be internationalized or, if not applicable, marked with NLS tags

      2) A couple of the attributes specified in the plugin.xml have been deprecated.

      3) There are 2 warnings about API baselines not being set on the project. Not sure how or why the API tooling nature got set on these projects, but I removed the nature and builders from the .projects files, along with the .externalBuilder... folders, but still see the warnings for some reason.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                jdoyle John Doyle
                Reporter:
                jpav John Verhaeg
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: